ProjectsList projects

List projects

List projects available to the account.

curl -X GET "https://app.aegisrunner.com/api/v1/projects?orgId=123e4567-e89b-12d3-a456-426614174000" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe",
      "status": "example_string"
    }
  ],
  "total": 42
}
GET
/projects
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
query
orgIdstring
Format: uuid
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

Query Parameters

Responses

itemsarray
totalinteger

List projects available to the account. Select an organization where needed and preserve the returned list and pagination structure.

Authenticate with an account session as described in Project and testing API. Use resource IDs available to the same organization and project.

For unattended pipelines, use the separately authenticated CI endpoints.